//CP80RSJ3 JOB SIMOTIME,CLASS=X,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*           CP80RSJ3.JCL - a Job Control Language Member            *
//*         This program is provided by SimoTime Technologies         *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Subject: Compare two  files with 80-byte records. Positions to be
//*          compared are determined at execution time by SYSUT3.
//* Author:  SimoTime Technologies
//* Date:    January 24, 1996
//*
//* *******************************************************************
//* Step 1 of 6, Delete previously created Catalog Entries,
//*              use IEFBR14 with a DD Statement
//*
//GETREADY EXEC PGM=IEFBR14
//SYSOUT   DD  SYSOUT=*
//SYSUT1   DD  DSN=SIMOTIME.DATA80.COMPARE1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=F,LRECL=80,DSORG=PS)
//SYSUT2   DD  DSN=SIMOTIME.DATA80.COMPARE2,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=F,LRECL=80,DSORG=PS)
//SYSUT3   DD  DSN=SIMOTIME.DATA80.COMPCNTL,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=F,LRECL=80,DSORG=PS)
//SYSLOG   DD  DSN=SIMOTIME.DATA80.SYSLOG,DISP=(MOD,DELETE,DELETE),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=VB,LRECL=1055,DSORG=PS)
//*
//*********************************************************************
//* Step 2 of 6, Build the 1st Data File that will be used for Compare
//*
//PREPARE1  EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
2010/01/01 12:00:00:00 1st Record is AOK
2010/01/01 12:00:00:00 2nd Record is AOK
2010/01/01 12:00:00:00 3rd Record is AOK
/*
//SYSUT2   DD  DISP=(NEW,CATLG,CATLG),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS),
//             DSN=SIMOTIME.DATA80.COMPARE1
//*
//*********************************************************************
//* Step 3 of 6, Build the 2nd Data File that will be used for Compare
//*
//PREPARE2  EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
2010/01/01 12:00:01:00 1st Record is AOK
2010/01/01 12:00:01:00 2nd Record is NOK
2010/01/01 12:00:01:00 3rd Record is AOK
/*
//SYSUT2   DD  DISP=(NEW,CATLG,CATLG),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS),
//             DSN=SIMOTIME.DATA80.COMPARE2
//*
//*********************************************************************
//* Step 4 of 6, Build a Control File that defines positions within a
//*              record to be compared
//*
//PREPCNTL EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
/COMPARE   SYSUT1 POS 23 LEN 58  SYSUT2 POS 23 LEN 58
/SYSLOG    ENABLE
/DISPLAY   SYSOUT
/*
//SYSUT2   DD  DISP=(NEW,CATLG,CATLG),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS),
//             DSN=SIMOTIME.DATA80.COMPCNTL
//*
//*********************************************************************
//* Step 5 of 6, Build a new LOG File...
//*
//PREPLOG  EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
*** SYSLOG File
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA80.SYSLOG,DISP=(NEW,CATLG,CATLG),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=VB,LRECL=1055,DSORG=PS)
//*
//*********************************************************************
//* Step 6 of 6, Compare two Files
//*
//EXECUTE  EXEC PGM=CP80RSC3
//SYSLOG   DD  DSN=SIMOTIME.DATA80.SYSLOG,DISP=OLD
//SYSUT1   DD  DSN=SIMOTIME.DATA80.COMPARE1,DISP=SHR
//SYSUT2   DD  DSN=SIMOTIME.DATA80.COMPARE2,DISP=SHR
//SYSUT3   DD  DSN=SIMOTIME.DATA80.COMPCNTL,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
